Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class CalendarControl.SWTDayChooser.DayControl

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      semorg.gui.util.CalendarControl.SWTDayChooser.DayControl

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable, org.eclipse.swt.widgets.Listener

Enclosing class:
  CalendarControl.SWTDayChooser

    public class CalendarControl.SWTDayChooser.DayControl

extends org.eclipse.swt.widgets.Composite
implements org.eclipse.swt.widgets.Listener

The Class DayControl.

Field Summary
`private org.eclipse.swt.widgets.Composite` | `filler` The filler.
`private org.eclipse.swt.widgets.Label` | `label` The label.

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`CalendarControl.SWTDayChooser.DayControl(org.eclipse.swt.widgets.Composite parent)` Instantiates a new day control.

Method Summary
`String` | `getText()` Gets the text.
`void` | `handleEvent(org.eclipse.swt.widgets.Event event)`
`void` | `setBackground(org.eclipse.swt.graphics.Color color)`
`void` | `setBorderColor(org.eclipse.swt.graphics.Color color)` Sets the border color.
`void` | `setFont(org.eclipse.swt.graphics.Font font)`
`void` | `setForeground(org.eclipse.swt.graphics.Color color)`
`void` | `setText(String text)` Sets the text.

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setEnabled, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### filler

    private org.eclipse.swt.widgets.Composite filler

  The filler.

### label

    private org.eclipse.swt.widgets.Label label

  The label.

Constructor Detail

### CalendarControl.SWTDayChooser.DayControl

    public CalendarControl.SWTDayChooser.DayControl(org.eclipse.swt.widgets.Composite parent)

  Instantiates a new day control.

  Parameters:
    `parent` - the parent

Method Detail

### setText

    public void setText(String text)

  Sets the text.

  Parameters:
    `text` - the new text

### getText

    public String getText()

  Gets the text.

  Returns:
    the text

### setFont

    public void setFont(org.eclipse.swt.graphics.Font font)

  Overrides:
    `setFont` in class `org.eclipse.swt.widgets.Control`

### setBackground

    public void setBackground(org.eclipse.swt.graphics.Color color)

  Overrides:
    `setBackground` in class `org.eclipse.swt.widgets.Control`

### setForeground

    public void setForeground(org.eclipse.swt.graphics.Color color)

  Overrides:
    `setForeground` in class `org.eclipse.swt.widgets.Control`

### setBorderColor

    public void setBorderColor(org.eclipse.swt.graphics.Color color)

  Sets the border color.

  Parameters:
    `color` - the new border color

### handleEvent

    public void handleEvent(org.eclipse.swt.widgets.Event event)

  Specified by:
    `handleEvent` in interface `org.eclipse.swt.widgets.Listener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD